Retrieves the db_info_data_company object with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
db_info_data_company| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier | |
| company_id |
Foreign key of the object using his Odyssee Guid Primary Key |
globally unique identifier |
Optionally required : company_id or company_code must be provided |
| company_code |
Foreign key of the object using ERP PK when adding/updating db_info_data |
string |
Optionally required : company_id or company_code must be provided |
| db_info_field_id | globally unique identifier |
Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided |
|
| db_info_field_name | string |
Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided |
|
| db_info_field | db_info_field |
Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided |
|
| value |
The value of this info fields for this targetId. Follow the formating rules (API / HELP / Info Fields) |
string |
Required |
| reference_back_office |
The Id/Ref of the back office for this object |
string |
Max length: 50 |
| sys_logical_delete |
sys_logical_delete |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "25e0a4d8-c1f7-4ffb-bc71-9f3d39bb4aaf",
"company_id": "060241b7-d0d2-41d8-beab-9ac9bb2ad9d0",
"company_code": "sample string 3",
"db_info_field_id": "493b4600-abde-4714-bc43-90af9dfb7f35",
"db_info_field_name": "sample string 5",
"value": "sample string 6",
"reference_back_office": "sample string 7",
"sys_logical_delete": true,
"modified_dateutc": "2026-03-13T07:52:01.0769128+00:00"
}